#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		neovim
%define		egg_name	pynvim
Summary:	Python client to neovim
Name:		python-%{module}
Version:	0.4.3
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://github.com/neovim/python-client/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b7370a5b3d2177d2b97ca48695ba1ae3
URL:		https://github.com/neovim/python-client
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implements support for Python plugins in nvim

%package -n python3-neovim
Summary:	Python client to neovim
Group:		Libraries/Python

%description -n python3-neovim
Implements support for Python plugins in nvim

%prep
%setup -q -n pynvim-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pynvim
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-neovim
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pynvim
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Mon Aug 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-neovim.git;a=log;h=master

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 99bb340
- up to 0.4.3

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 37cb4f8
- fix build without python2

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 1d152e2
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7aec6a9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Jul 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c5f0a20
- up to 0.2.6

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b860b40
- release 2 (by relup.sh)

* Mon Jan 23 2017 Elan Ruusamäe <glen@delfi.ee> 8e7d313
- up to 0.1.13

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c7353b1
- python 3.6
- release 2 (by relup.sh)

* Sun Sep 18 2016 Elan Ruusamäe <glen@delfi.ee> 16ce43f
- skip deps generated by pythonegg deps

* Sat Sep 17 2016 Elan Ruusamäe <glen@delfi.ee> 1f20e90
- new, version 0.1.9

